class CreateDemoHerokuApplicationPlans < ActiveRecord::Migration

  def up
    service = Account.master.default_service
    Logic::ProviderUpgrade::HEROKU_PLANS.keys.each do |key|
      service.application_plans.create(name: key, system_name: key)
    end
  end

  def down
    service = Account.master.default_service
    service.application_plans.where(system_name: Logic::ProviderUpgrade::HEROKU_PLANS.keys).map(&:destroy)
  end
end
